Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Problem when updating linux-modules via terminal..

  1. #1
    Join Date
    Apr 2008
    Location
    Finland
    Beans
    42
    Distro
    Ubuntu

    Problem when updating linux-modules via terminal..

    So.. I decided to venture to Terminal since graphical Software Updater suggested so in the error message.
    ---
    "Check if you are using third party repositories. If so disable them, since they are a common source of problems.
    Furthermore run the following command in a Terminal: apt-get install -f
    Transaction failed: The package system is broken
    Code:
    The following packages have unmet dependencies:
    
    linux-image-generic: Depends: linux-image-5.15.0-47-generic but it is not installed
                         Depends: linux-modules-extra-5.15.0-47-generic but it is not installed"
    ---
    However, I ran to problem.
    --
    Code:
    "Preparing to unpack .../linux-modules-extra-5.15.0-47-generic_5.15.0-47.51_amd64.deb ...
    Unpacking linux-modules-extra-5.15.0-47-generic (5.15.0-47.51) ...
    dpkg: error processing archive /var/cache/apt/archives/linux-modules-extra-5.15.0-47-generic_5.15.0-47.51_amd64.deb (--unpack):
     unable to create new file '/var/lib/dpkg/info/linux-modules-extra-5.15.0-47-generic.list-new': Operation not permitted
    Segmentation fault"
    --
    Is there anything I can do? I'm working as sudo.

    (For the record, only thing closest to third party repository is https://deb.opera.com/opera-stable/ )

    Edit: I ran 'sudo dpkg --configure -a' and got the following:
    ----
    Code:
    dpkg: dependency problems prevent configuration of linux-image-generic:
     linux-image-generic depends on linux-modules-extra-5.15.0-47-generic; however:
      Package linux-modules-extra-5.15.0-47-generic is not installed.
    
    dpkg: error processing package linux-image-generic (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of linux-generic:
     linux-generic depends on linux-image-generic (= 5.15.0.47.47); however:
      Package linux-image-generic is not configured yet.
    
    dpkg: error processing package linux-generic (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of linux-headers-5.15.0-47-generic:
     linux-headers-5.15.0-47-generic depends on linux-headers-5.15.0-47; however:
      Package linux-headers-5.15.0-47 is not installed.
    
    dpkg: error processing package linux-headers-5.15.0-47-generic (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of linux-headers-generic:
     linux-headers-generic depends on linux-headers-5.15.0-47-generic; however:
      Package linux-headers-5.15.0-47-generic is not configured yet.
    
    dpkg: error processing package linux-headers-generic (--configure):
     dependency problems - leaving unconfigured
    Setting up linux-modules-5.15.0-47-generic (5.15.0-47.51) ...
    Setting up linux-image-5.15.0-47-generic (5.15.0-47.51) ...
    I: /boot/vmlinuz.old is now a symlink to vmlinuz-5.15.0-46-generic
    I: /boot/initrd.img.old is now a symlink to initrd.img-5.15.0-46-generic
    I: /boot/vmlinuz is now a symlink to vmlinuz-5.15.0-47-generic
    I: /boot/initrd.img is now a symlink to initrd.img-5.15.0-47-generic
    Processing triggers for linux-image-5.15.0-47-generic (5.15.0-47.51) ...
    /etc/kernel/postinst.d/initramfs-tools:
    update-initramfs: Generating /boot/initrd.img-5.15.0-47-generic
    /etc/kernel/postinst.d/zz-update-grub:
    Sourcing file `/etc/default/grub'
    Sourcing file `/etc/default/grub.d/init-select.cfg'
    Generating grub configuration file ...
    Found linux image: /boot/vmlinuz-5.15.0-47-generic
    Found initrd image: /boot/initrd.img-5.15.0-47-generic
    Found linux image: /boot/vmlinuz-5.15.0-46-generic
    Found initrd image: /boot/initrd.img-5.15.0-46-generic
    Found linux image: /boot/vmlinuz-5.4.0-124-generic
    Found initrd image: /boot/initrd.img-5.4.0-124-generic
    Found linux image: /boot/vmlinuz-4.18.0-18-generic
    Found initrd image: /boot/initrd.img-4.18.0-18-generic
    Memtest86+ needs a 16-bit boot, that is not available on EFI, exiting
    Warning: os-prober will not be executed to detect other bootable partitions.
    Systems on them will not be added to the GRUB boot configuration.
    Check GRUB_DISABLE_OS_PROBER documentation entry.
    done
    Errors were encountered while processing:
     linux-image-generic
     linux-generic
     linux-headers-5.15.0-47-generic
     linux-headers-generic
    --
    Edit 2:
    I was also unable to update "linux kernel headers for development" at first, but succeeded after three tries with Software Updater.
    However, I'm still unsure if everything is fine.
    Last edited by deadflowr; September 1st, 2022 at 05:13 PM. Reason: code tags

  2. #2
    Join Date
    May 2010
    Beans
    3,320

    Re: Problem when updating linux-modules via terminal..

    What is the output of:
    Code:
    df -h
    uname -a
    df -i
    Thanks

  3. #3
    Join Date
    Apr 2008
    Location
    Finland
    Beans
    42
    Distro
    Ubuntu

    Re: Problem when updating linux-modules via terminal..

    ---
    heta@heta-vaio:~$ df -h
    uname -a
    df -i
    Filesystem Size Used Avail Use% Mounted on
    tmpfs 584M 2,2M 582M 1% /run
    /dev/sda2 439G 83G 334G 20% /
    tmpfs 2,9G 160M 2,7G 6% /dev/shm
    tmpfs 5,0M 4,0K 5,0M 1% /run/lock
    /dev/sda1 511M 5,3M 506M 2% /boot/efi
    tmpfs 584M 4,7M 579M 1% /run/user/1000
    Linux heta-vaio 5.15.0-47-generic #51-Ubuntu SMP Thu Aug 11 07:51:15 UTC 2022 x86_64 x86_64 x86_64 GNU/Linux
    Filesystem Inodes IUsed IFree IUse% Mounted on
    tmpfs 746532 1318 745214 1% /run
    /dev/sda2 29278208 418693 28859515 2% /
    tmpfs 746532 265 746267 1% /dev/shm
    tmpfs 746532 4 746528 1% /run/lock
    /dev/sda1 0 0 0 - /boot/efi
    tmpfs 149306 166 149140 1% /run/user/1000
    --

  4. #4
    Join Date
    May 2010
    Beans
    3,320

    Re: Problem when updating linux-modules via terminal..

    https://askubuntu.com/questions/8986...aders-4-8-0-45

    Possibly that. You have free space which is cool

  5. #5
    Join Date
    May 2010
    Beans
    3,320

    Re: Problem when updating linux-modules via terminal..

    https://forums.linuxmint.com/viewtopic.php?t=303821

    Are you using Sophos? Seems to be a recurring theme here.....

  6. #6
    Join Date
    Apr 2008
    Location
    Finland
    Beans
    42
    Distro
    Ubuntu

    Re: Problem when updating linux-modules via terminal..

    Quote Originally Posted by ActionParsnip View Post
    https://forums.linuxmint.com/viewtopic.php?t=303821

    Are you using Sophos? Seems to be a recurring theme here.....
    Yes.

  7. #7
    Join Date
    May 2010
    Beans
    3,320

    Re: Problem when updating linux-modules via terminal..

    Then disable Sophos, run the update then re-enable. Is it then OK?

  8. #8
    Join Date
    Apr 2008
    Location
    Finland
    Beans
    42
    Distro
    Ubuntu

    Re: Problem when updating linux-modules via terminal..

    Quote Originally Posted by ActionParsnip View Post
    Then disable Sophos, run the update then re-enable. Is it then OK?
    For some reason I can't disable nor enable Sophos, even I'm on root.

    Also, the Software Updater nor terminal aren't offering kernel updates anymore.

  9. #9
    Join Date
    May 2010
    Beans
    3,320

    Re: Problem when updating linux-modules via terminal..

    Seems to be
    Code:
    sudo /opt/sophos-av/bin/savdctl disable
    If that works then run updates as normal

  10. #10
    Join Date
    Apr 2008
    Location
    Finland
    Beans
    42
    Distro
    Ubuntu

    Re: Problem when updating linux-modules via terminal..

    Quote Originally Posted by ActionParsnip View Post
    Seems to be
    Code:
    sudo /opt/sophos-av/bin/savdctl disable
    If that works then run updates as normal
    (I thank you for your patience! )

    I get "Failed to disable on-access scanning."-error.

Page 1 of 2 12 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •